Results 1 to 3 of 3

Thread: DCS World Version/Module Rollback

  1. #1

    Default DCS World Version/Module Rollback

    So, I downloaded DCS World and installed it.

    Then I downloaded DCS P-51 and went to install it. Fail!

    The problem was, I installed version 1.2.6.18933 of DCS World and the version I downloaded of DCS P-51 was 1.2.6.18651. DCS wouldn't let me install a older version module into a new version of DCS World. Naturally.

    So, I went hunting for a solution and found it.

    At some point this issue is going to pop up for someone else, so I thought I post a ED Forum link to the solution here to help everyone else out.

    http://forums.eagle.ru/showthread.php?t=114030
    "War has a grim purpose and is extremely complex. Sophisticated planning and doctrine are present at every level. Yet at the point of fire battle is the essence of chaos and violence."

  2. #2

    Default

    Quote Originally Posted by 352nd Oscar View Post
    So, I downloaded DCS World and installed it.

    Then I downloaded DCS P-51 and went to install it. Fail!

    The problem was, I installed version 1.2.6.18933 of DCS World and the version I downloaded of DCS P-51 was 1.2.6.18651. DCS wouldn't let me install a older version module into a new version of DCS World. Naturally.

    So, I went hunting for a solution and found it.

    At some point this issue is going to pop up for someone else, so I thought I post a ED Forum link to the solution here to help everyone else out.

    http://forums.eagle.ru/showthread.php?t=114030
    Isn't the P-51 version updated when DCS World is since you need DCS World in order to fly DCS P-51? TC

  3. #3

    Default

    Normally, yes, DCS P-51D is updated when DCS World is updated. P-51D has to be installed first though for that to happen.

    When you download DCS World from the ED website and install it, it installs (core) Version 1.2.6.18651 (currently). As soon as it completes, it "automatically" runs the DCS Updater, which upgrades it to Version 1.2.6.18933.

    When you download DCS P-51D from the ED website and install it, it installs (module) Version 1.2.6.18651. When you go to install it, you'll get a dialog saying basically "No, No, you can't do that because the DCS World Version is greater than the P-51D Version".

    Best I can figure, this will only happen on the initial installation for both products. As I said, any DCS Updates processed after that will/should update both.
    "War has a grim purpose and is extremely complex. Sophisticated planning and doctrine are present at every level. Yet at the point of fire battle is the essence of chaos and violence."

Similar Threads

  1. DCS World and JSGME
    By 352nd Oscar in forum DCS/DCS WWII Archived
    Replies: 6
    Last Post: 10-16-2013, 09:39 AM
  2. Cougar World is back ...
    By 352nd Persecutor in forum General Comments
    Replies: 0
    Last Post: 11-21-2009, 12:15 AM
  3. World War I Sim
    By 352nd Oscar in forum General Comments
    Replies: 8
    Last Post: 07-06-2007, 09:12 AM
  4. World Speed Record
    By Anonymous in forum Aeronautical Trivia
    Replies: 0
    Last Post: 03-04-2004, 01:58 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •